## linux 6.1.135

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0
VERSION = 6
PATCHLEVEL = 1
SUBLEVEL = 135
EXTRAVERSION =
NAME = Curry Ramen

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

$(if $(filter __%, $(MAKECMDGOALS)), \
	$(error targets prefixed with '__' are only for internal use))

# That's our default target when none is given on the command line
PHONY := __all
__all:

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.a targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

ifneq ($(sub_make_done),1)

# Do not use make's built-in rules and variables
# (this increases performance and avoids hard-to-debug behaviour)
MAKEFLAGS += -rR

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.
# If KBUILD_VERBOSE equals 2 then give the reason why each target is rebuilt.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands
# make-4.0 (and later) keep single letter options in the 1st word of MAKEFLAGS.

ifeq ($(filter 3.%,$(MAKE_VERSION)),)
silence:=$(findstring s,$(firstword -$(MAKEFLAGS)))
else
silence:=$(findstring s,$(filter-out --%,$(MAKEFLAGS)))
endif

ifeq ($(silence),s)
quiet=silent_
KBUILD_VERBOSE = 0
endif

export quiet Q KBUILD_VERBOSE

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/dev-tools/sparse.rst" for more details,
# including where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

export KBUILD_CHECKSRC

# Enable "clippy" (a linter) as part of the Rust compilation.
#
# Use 'make CLIPPY=1' to enable it.
ifeq ("$(origin CLIPPY)", "command line")
  KBUILD_CLIPPY := $(CLIPPY)
endif

export KBUILD_CLIPPY

# Use make M=dir or set the environment variable KBUILD_EXTMOD to specify the
# directory of external module to build. Setting M= takes precedence.
ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

$(if $(word 2, $(KBUILD_EXTMOD)), \
	$(error building multiple external modules is not supported))

$(foreach x, % :, $(if $(findstring $x, $(KBUILD_EXTMOD)), \
	$(error module directory path cannot contain '$x')))

# Remove trailing slashes
ifneq ($(filter %/, $(KBUILD_EXTMOD)),)
KBUILD_EXTMOD := $(shell dirname $(KBUILD_EXTMOD).)
endif

export KBUILD_EXTMOD

# Kbuild will save output files in the current working directory.
# This does not need to match to the root of the kernel source tree.
#
# For example, you can do this:
#
#  cd /dir/to/store/output/files; make -f /dir/to/kernel/source/Makefile
#
# If you want to save output files in a different location, there are
# two syntaxes to specify it.
#
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the output directory.
# export KBUILD_OUTPUT=dir/to/store/output/files/; make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.

# Do we want to change the working directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifneq ($(KBUILD_OUTPUT),)
# Make's built-in functions such as $(abspath ...), $(realpath ...) cannot
# expand a shell special character '~'. We use a somewhat tedious way here.
abs_objtree := $(shell mkdir -p $(KBUILD_OUTPUT) && cd $(KBUILD_OUTPUT) && pwd)
$(if $(abs_objtree),, \
     $(error failed to create output directory "$(KBUILD_OUTPUT)"))

# $(realpath ...) resolves symlinks
abs_objtree := $(realpath $(abs_objtree))
else
abs_objtree := $(CURDIR)
endif # ifneq ($(KBUILD_OUTPUT),)

ifeq ($(abs_objtree),$(CURDIR))
# Suppress "Entering directory ..." unless we are changing the work directory.
MAKEFLAGS += --no-print-directory
else
need-sub-make := 1
endif

this-makefile := $(lastword $(MAKEFILE_LIST))
abs_srctree := $(realpath $(dir $(this-makefile)))

ifneq ($(words $(subst :, ,$(abs_srctree))), 1)
$(error source directory cannot contain spaces or colons)
endif

ifneq ($(abs_srctree),$(abs_objtree))
# Look for make include files relative to root of kernel src
#
# --included-dir is added for backward compatibility, but you should not rely on
# it. Please add $(srctree)/ prefix to include Makefiles in the source tree.
MAKEFLAGS += --include-dir=$(abs_srctree)
endif

ifneq ($(filter 3.%,$(MAKE_VERSION)),)
# 'MAKEFLAGS += -rR' does not immediately become effective for GNU Make 3.x
# We need to invoke sub-make to avoid implicit rules in the top Makefile.
need-sub-make := 1
# Cancel implicit rules for this Makefile.
$(this-makefile): ;
endif

export abs_srctree abs_objtree
export sub_make_done := 1

ifeq ($(need-sub-make),1)

PHONY += $(MAKECMDGOALS) __sub-make

$(filter-out $(this-makefile), $(MAKECMDGOALS)) __all: __sub-make
	@:

# Invoke a second make in the output directory, passing relevant variables
__sub-make:
	$(Q)$(MAKE) -C $(abs_objtree) -f $(abs_srctree)/Makefile $(MAKECMDGOALS)

endif # need-sub-make
endif # sub_make_done

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(need-sub-make),)

# Do not print "Entering directory ...",
# but we want to display it when entering to the output directory
# so that IDEs/editors are able to understand relative filenames.
MAKEFLAGS += --no-print-directory

ifeq ($(abs_srctree),$(abs_objtree))
        # building in the source tree
        srctree := .
	building_out_of_srctree :=
else
        ifeq ($(abs_srctree)/,$(dir $(abs_objtree)))
                # building in a subdirectory of the source tree
                srctree := ..
        else
                srctree := $(abs_srctree)
        endif
	building_out_of_srctree := 1
endif

ifneq ($(KBUILD_ABS_SRCTREE),)
srctree := $(abs_srctree)
endif

objtree		:= .
VPATH		:= $(srctree)

export building_out_of_srctree srctree objtree VPATH

# To make sure we do not include .config for any of the *config targets
# catch them early, and hand them over to scripts/kconfig/Makefile
# It is allowed to specify more targets when calling make, including
# mixing *config targets and build targets.
# For example 'make oldconfig all'.
# Detect when mixed targets is specified, and make a second invocation
# of make so .config is not included in this case either (for *config).

version_h := include/generated/uapi/linux/version.h

clean-targets := %clean mrproper cleandocs
no-dot-config-targets := $(clean-targets) \
			 cscope gtags TAGS tags help% %docs check% coccicheck \
			 $(version_h) headers headers_% archheaders archscripts \
			 %asm-generic kernelversion %src-pkg dt_binding_check \
			 outputmakefile rustavailable rustfmt rustfmtcheck
# Installation targets should not require compiler. Unfortunately, vdso_install
# is an exception where build artifacts may be updated. This must be fixed.
no-compiler-targets := $(no-dot-config-targets) install dtbs_install \
			headers_install modules_install kernelrelease image_name
no-sync-config-targets := $(no-dot-config-targets) %install kernelrelease \
			  image_name
single-targets := %.a %.i %.rsi %.ko %.lds %.ll %.lst %.mod %.o %.s %.symtypes %/

config-build	:=
mixed-build	:=
need-config	:= 1
need-compiler	:= 1
may-sync-config	:= 1
single-build	:=

ifneq ($(filter $(no-dot-config-targets), $(MAKECMDGOALS)),)
	ifeq ($(filter-out $(no-dot-config-targets), $(MAKECMDGOALS)),)
		need-config :=
	endif
endif

ifneq ($(filter $(no-compiler-targets), $(MAKECMDGOALS)),)
	ifeq ($(filter-out $(no-compiler-targets), $(MAKECMDGOALS)),)
		need-compiler :=
	endif
endif

ifneq ($(filter $(no-sync-config-targets), $(MAKECMDGOALS)),)
	ifeq ($(filter-out $(no-sync-config-targets), $(MAKECMDGOALS)),)
		may-sync-config :=
	endif
endif

ifneq ($(KBUILD_EXTMOD),)
	may-sync-config :=
endif

ifeq ($(KBUILD_EXTMOD),)
        ifneq ($(filter %config,$(MAKECMDGOALS)),)
		config-build := 1
                ifneq ($(words $(MAKECMDGOALS)),1)
			mixed-build := 1
                endif
        endif
endif

# We cannot build single targets and the others at the same time
ifneq ($(filter $(single-targets), $(MAKECMDGOALS)),)
	single-build := 1
	ifneq ($(filter-out $(single-targets), $(MAKECMDGOALS)),)
		mixed-build := 1
	endif
endif

# For "make -j clean all", "make -j mrproper defconfig all", etc.
ifneq ($(filter $(clean-targets),$(MAKECMDGOALS)),)
        ifneq ($(filter-out $(clean-targets),$(MAKECMDGOALS)),)
		mixed-build := 1
        endif
endif

# install and modules_install need also be processed one by one
ifneq ($(filter install,$(MAKECMDGOALS)),)
        ifneq ($(filter modules_install,$(MAKECMDGOALS)),)
		mixed-build := 1
        endif
endif

ifdef mixed-build
# ===========================================================================
# We're called with mixed targets (*config and build targets).
# Handle them one by one.

PHONY += $(MAKECMDGOALS) __build_one_by_one

$(MAKECMDGOALS): __build_one_by_one
	@:

__build_one_by_one:
	$(Q)set -e; \
	for i in $(MAKECMDGOALS); do \
		$(MAKE) -f $(srctree)/Makefile $$i; \
	done

else # !mixed-build

include $(srctree)/scripts/Kbuild.include

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)
export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION

include $(srctree)/scripts/subarch.include

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).

=== drivers/staging/most/Makefile ===
# SPDX-License-Identifier: GPL-2.0

obj-$(CONFIG_MOST_NET)	+= net/
obj-$(CONFIG_MOST_VIDEO)	+= video/
obj-$(CONFIG_MOST_DIM2)	+= dim2/
obj-$(CONFIG_MOST_I2C)	+= i2c/

=== arch/powerpc/kernel/trace/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for the powerpc trace subsystem
#

ifdef CONFIG_FUNCTION_TRACER
# do not trace tracer code
CFLAGS_REMOVE_ftrace.o = $(CC_FLAGS_FTRACE)
endif

obj32-$(CONFIG_FUNCTION_TRACER)		+= ftrace_mprofile.o
ifdef CONFIG_MPROFILE_KERNEL
obj64-$(CONFIG_FUNCTION_TRACER)		+= ftrace_mprofile.o
else
obj64-$(CONFIG_FUNCTION_TRACER)		+= ftrace_64_pg.o
endif
obj-$(CONFIG_FUNCTION_TRACER)		+= ftrace_low.o ftrace.o
obj-$(CONFIG_TRACING)			+= trace_clock.o

obj-$(CONFIG_PPC64)			+= $(obj64-y)
obj-$(CONFIG_PPC32)			+= $(obj32-y)

# Disable GCOV, KCOV & sanitizers in odd or sensitive code
GCOV_PROFILE_ftrace.o := n
KCOV_INSTRUMENT_ftrace.o := n
UBSAN_SANITIZE_ftrace.o := n

=== debian/changelog ===
linux (6.1.135-1) bookworm-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.134
    - watch_queue: fix pipe accounting mismatch
    - [x86] mm/pat: cpa-test: fix length for CPA_ARRAY test
    - cpufreq: scpi: compare kHz instead of Hz
    - cpufreq: governor: Fix negative 'idle_time' handling in dbs_update()
    - [x86] fpu: Fix guest FPU state buffer allocation size
    - [x86] fpu: Avoid copying dynamic FP state from init_task in
      arch_dup_task_struct()
    - [x86] platform: Only allow CONFIG_EISA for 32-bit
    - [x86] sev: Add missing RIP_REL_REF() invocations during sme_enable()
    - lockdep/mm: Fix might_fault() lockdep check of current->mm->mmap_lock
    - PM: sleep: Adjust check before setting power.must_resume
    - selinux: Chain up tool resolving errors in install_policy.sh
    - [x86] EDAC/ie31200: Fix the size of EDAC_MC_LAYER_CHIP_SELECT layer
    - [x86] EDAC/ie31200: Fix the DIMM size mask for several SoCs
    - [x86] EDAC/ie31200: Fix the error path order of ie31200_init()
    - thermal: int340x: Add NULL check for adev
    - PM: sleep: Fix handling devices with direct_complete set on errors
    - lockdep: Don't disable interrupts on RT in disable_irq_nosync_lockdep.*()
    - perf/ring_buffer: Allow the EPOLLRDNORM flag for poll
    - [x86] fpu/xstate: Fix inconsistencies in guest FPU xfeatures
    - [arm64,armhf] media: verisilicon: HEVC: Initialize start_bit field
    - [x86] ASoC: cs35l41: check the return value from spi_setup()
    - HID: remove superfluous (and wrong) Makefile entry for
      CONFIG_INTEL_ISH_FIRMWARE_DOWNLOADER
    - ALSA: hda/realtek: Always honor no_shutup_pins
    - [arm64] drm/bridge: ti-sn65dsi86: Fix multiple instances
    - drm/dp_mst: Fix drm RAD print
    - PCI: Use downstream bridges for distributing resources
    - PCI/ASPM: Fix link state exit during switch upstream function removal
    - [arm64] drm/msm/dsi: Set PHY usescase (and mode) before registering DSI
      host
    - [arm64] PCI: cadence-ep: Fix the driver to send MSG TLP for INTx without
      data payload
    - [arm64] PCI: brcmstb: Use internal register to change link capability
    - [arm64] PCI: brcmstb: Fix error path after a call to regulator_bulk_get()
    - [arm64] PCI: brcmstb: Fix potential premature regulator disabling
    - PCI/portdrv: Only disable pciehp interrupts early when needed
    - PCI: Avoid reset when disabled via sysfs
    - drm/amd/display: fix type mismatch in CalculateDynamicMetadataParameters()
    - PCI: Remove stray put_device() in pci_register_host_bridge()
    - drm/amd/display: avoid NPD when ASIC does not support DMUB
    - PCI: pciehp: Don't enable HPIE when resuming in poll mode
    - [mips*] fbdev: sm501fb: Add some geometry checks.
    - [arm64] clk: amlogic: gxbb: drop incorrect flag on 32k clock
    - [arm64,armhf] remoteproc: core: Clear table_sz when rproc_shutdown
    - bpf: Use preempt_count() directly in bpf_send_signal_common()
    - lib: 842: Improve error handling in sw842_compress()
    - [arm64] clk: rockchip: rk3328: fix wrong clk_ref_usb3otg parent
    - RDMA/core: Don't expose hw_counters outside of init net namespace
    - RDMA/mlx5: Fix calculation of total invalidated pages
    - RDMA/erdma: Prevent use-after-free in erdma_accept_newconn()
    - IB/mad: Check available slots before posting receive WRs
    - [arm64,armhf] pinctrl: tegra: Set SFIO mode to Mux Register
    - [arm64] clk: amlogic: g12b: fix cluster A parent data
    - [arm64] clk: amlogic: gxbb: drop non existing 32k clock parent
    - [arm64] clk: amlogic: g12a: fix mmc A peripheral clock
    - [x86] entry: Fix ORC unwinder for PUSH_REGS with save_ret=1
    - power: supply: max77693: Fix wrong conversion of charge input threshold
      value
    - [powerpc*] crypto: nx - Fix uninitialised hv_nxc on error
    - RDMA/mlx5: Fix mlx5_poll_one() cur_qp update flow
    - [mips*] mfd: sm501: Switch to BIT() to mitigate integer overflows
    - [x86] dumpstack: Fix inaccurate unwinding from exception stacks due to
      misplaced assignment
    - isofs: fix KMSAN uninit-value bug in do_isofs_readdir()
    - soundwire: slave: fix an OF node reference leak in soundwire slave device
    - [arm64] coresight-etm4x: add isb() before reading the TRCSTATR
    - iio: accel: mma8452: Ensure error return on failure to matching
      oversampling ratio
    - iio: accel: msa311: Fix failure to release runtime pm if direct mode claim
      fails.
    - usb: xhci: correct debug message page size calculation
    - iio: adc: ad7124: Fix comparison of channel configs
    - perf evlist: Add success path to evlist__create_syswide_maps
    - perf units: Fix insufficient array space
    - kexec: initialize ELF lowest address to ULONG_MAX
    - ocfs2: validate l_tree_depth to avoid out-of-bounds access
    - NFSv4: Don't trigger uneccessary scans for return-on-close delegations
    - fuse: fix dax truncate/punch_hole fault path
    - i3c: master: svc: Fix missing the IBI rules
    - perf python: Fixup description of sample.id event member
    - perf python: Decrement the refcount of just created event on failure
    - perf python: Don't keep a raw_data pointer to consumed ring buffer space
    - perf python: Check if there is space to copy all the event
    - fs/procfs: fix the comment above proc_pid_wchan()
    - perf tools: annotate asm_pure_loop.S
    - objtool, media: dib8000: Prevent divide-by-zero in dib8000_set_dds()
    - exfat: fix the infinite loop in exfat_find_last_cluster()
    - rtnetlink: Allocate vfinfo size for VF GUIDs when supported
    - rndis_host: Flag RNDIS modems as WWAN devices
    - ksmbd: use aead_request_free to match aead_request_alloc
    - ksmbd: fix multichannel connection failure
    - net/mlx5e: SHAMPO, Make reserved size independent of page size
    - ring-buffer: Fix bytes_dropped calculation issue
    - ACPI: processor: idle: Return an error if both P_LVL{2,3} idle states are


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper-compat (= 12), dh-exec, python3:native, python3-jinja2:native, quilt, cpio <!stage1>, xz-utils <!stage1>, dh-python <!stage1>, bison <!stage1>, flex (>= 2.6.1-1.1~) <!stage1>
Build-Depends-Arch: kernel-wedge (>= 2.102~) <!pkg.linux.nokernel !stage1>, kmod <!pkg.linux.nokernel !stage1>, bc <!pkg.linux.nokernel !stage1>, libssl-dev:native <!pkg.linux.nokernel !stage1>, libssl-dev <!pkg.linux.notools !stage1>, openssl (>= 1.1.0-1~) <!pkg.linux.nokernel !stage1>, libelf-dev:native <!pkg.linux.nokernel !stage1>, libelf-dev <!pkg.linux.notools !stage1>, rsync, lz4 [amd64 arm64] <!pkg.linux.nokernel !stage1>, pahole <!pkg.linux.nokernel !stage1> | dwarves:native (>= 1.16~) <!pkg.linux.nokernel !stage1>, gcc-12 [alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!cross !pkg.linux.nokernel !stage1>, gcc-12-alpha-linux-gnu [alpha] <cross !pkg.linux.nokernel !stage1>, gcc-12-x86-64-linux-gnu [amd64] <cross !pkg.linux.nokernel !stage1>, gcc-12-aarch64-linux-gnu [arm64] <cross !pkg.linux.nokernel !stage1>, gcc-arm-linux-gnueabihf [arm64] <!pkg.linux.nokernel !stage1>, gcc-12-arm-linux-gnueabi [armel] <cross !pkg.linux.nokernel !stage1>, gcc-12-arm-linux-gnueabihf [armhf] <cross !pkg.linux.nokernel !stage1>, gcc-12-hppa-linux-gnu [hppa] <cross !pkg.linux.nokernel !stage1>, binutils-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel !stage1>, gcc-12-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel !stage1>, gcc-12-i686-linux-gnu [i386] <cross !pkg.linux.nokernel !stage1>, gcc-12-ia64-linux-gnu [ia64] <cross !pkg.linux.nokernel !stage1>, gcc-12-m68k-linux-gnu [m68k] <cross !pkg.linux.nokernel !stage1>, gcc-12-mips-linux-gnu [mips] <cross !pkg.linux.nokernel !stage1>, gcc-12-mips64-linux-gnuabi64 [mips64] <cross !pkg.linux.nokernel !stage1>, gcc-12-mips64el-linux-gnuabi64 [mips64el] <cross !pkg.linux.nokernel !stage1>, gcc-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross !pkg.linux.nokernel !stage1>, gcc-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross !pkg.linux.nokernel !stage1>, gcc-12-mipsel-linux-gnu [mipsel] <cross !pkg.linux.nokernel !stage1>, gcc-12-mipsisa32r6-linux-gnu [mipsr6] <cross !pkg.linux.nokernel !stage1>, gcc-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross !pkg.linux.nokernel !stage1>, gcc-12-powerpc-linux-gnu [powerpc] <cross !pkg.linux.nokernel !stage1>, gcc-12-powerpc64-linux-gnu [ppc64] <cross !pkg.linux.nokernel !stage1>, gcc-12-powerpc64le-linux-gnu [ppc64el] <cross !pkg.linux.nokernel !stage1>, gcc-12-riscv64-linux-gnu [riscv64] <cross !pkg.linux.nokernel !stage1>, gcc-12-s390x-linux-gnu [s390x] <cross !pkg.linux.nokernel !stage1>, gcc-12-sh4-linux-gnu [sh4] <cross !pkg.linux.nokernel !stage1>, gcc-12-sparc64-linux-gnu [sparc64] <cross !pkg.linux.nokernel !stage1>, python3-docutils [linux-any] <!nodoc !pkg.linux.notools !stage1>, libelf-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, zlib1g-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libcap-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libpci-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, asciidoctor [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nodoc !nopython !pkg.linux.notools !stage1>, gcc-multilib [amd64 mips64 mips64el mips64r6 mips64r6el ppc64 s390x sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libaudit-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libbabeltrace-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libdw-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libiberty-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libnewt-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libnuma-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libopencsd-dev (>= 1.1.1) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libperl-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libpython3-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libunwind-dev [amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el sh4] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libzstd-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, python3-dev:any [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, python3-setuptools [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, autoconf [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, automake [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libtool [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libglib2.0-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libudev-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libwrap0-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libtracefs-dev (>= 1.3) [amd64 arm64 armhf i386 x32] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libtraceevent-dev (>= 1:1.5) [amd64 arm64 armhf i386 x32] <!pkg.linux.mintools !pkg.linux.notools !stage1>, python3-docutils [amd64 arm64 armhf i386 x32] <!pkg.linux.mintools !pkg.linux.notools !stage1>
Build-Depends-Indep: graphviz <!nodoc !pkg.linux.quick !stage1>, python3-sphinx <!nodoc !pkg.linux.quick !stage1>, python3-sphinx-rtd-theme <!nodoc !pkg.linux.quick !stage1>, texlive-latex-base <!nodoc !pkg.linux.quick !stage1>, texlive-latex-extra <!nodoc !pkg.linux.quick !stage1>, dvipng <!nodoc !pkg.linux.quick !stage1>, patchutils <!pkg.linux.nosource !pkg.linux.quick !stage1>
Rules-Requires-Root: no
Homepage: https://www.kernel.org/
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-support-6.1.0-34
Architecture: all
Section: devel
Build-Profiles: <!stage1>
Depends: ${python3:Depends}, python3-jinja2, ${misc:Depends}
Multi-Arch: foreign
Description: Support files for Linux 6.1
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.

Package: linux-doc-6.1
Architecture: all
Section: doc
Build-Profiles: <!nodoc !pkg.linux.quick !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Linux kernel specific documentation for version 6.1
 This package provides the various README files and HTML documentation for
 the Linux kernel version 6.1.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  An index to the documentation is installed as
 /usr/share/doc/linux-doc-6.1/html/index.html.

Package: linux-doc
Architecture: all
Section: doc
Build-Profiles: <!nodoc !pkg.linux.nometa !pkg.linux.quick !stage1>
Depends: linux-doc-6.1 (= ${binary:Version}), ${misc:Depends}
Description: Linux kernel specific documentation (meta-package)
 This package depends on the package containing the documentation for the
 latest Linux kernel.

Package: linux-source-6.1
Architecture: all
Section: kernel
Build-Profiles: <!pkg.linux.nosource !pkg.linux.quick !stage1>
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: build-essential, bc, rsync, kmod, cpio, bison, flex, libelf-dev, libssl-dev, linux-config-6.1
Suggests: libncurses-dev | ncurses-dev, qtbase5-dev, pkg-config
Multi-Arch: foreign
Description: Linux kernel source for version 6.1 with Debian patches
 This package provides source code for the Linux kernel version 6.1. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.

Package: linux-source
Architecture: all
Build-Profiles: <!pkg.linux.nometa !pkg.linux.nosource !pkg.linux.quick !stage1>
Depends: linux-source-6.1 (= ${binary:Version}), ${misc:Depends}
Description: Linux kernel source (meta-package)
 This package depends on packages containing the sources of the latest
 Linux kernel.

Package: linux-headers-6.1.0-34-common
Architecture: all
Build-Profiles: <!pkg.linux.nokernel !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common header files for Linux 6.1.0-34
 This package provides the common kernel header files for Linux kernel
 version 6.1.0-34, generally used for building out-of-tree kernel modules.
 To obtain a complete set of headers you also need to install the
 linux-headers-6.1.0-34-(flavour) package, matching the flavour of the
 kernel you intend the build for.

Package: linux-headers-6.1.0-34-common-rt
Architecture: all
Build-Profiles: <!pkg.linux.nokernel !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common header files for Linux 6.1.0-34-rt
 This package provides the common kernel header files for Linux kernel
 version 6.1.0-34 with the PREEMPT_RT featureset, generally used for
 building out-of-tree kernel modules.  To obtain a complete set of headers

=== debian/tests/control ===
Tests: python
Restrictions: superficial
Depends: python3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-6.1.0-34-alpha-generic [alpha], linux-image-6.1.0-34-alpha-smp [alpha], linux-image-6.1.0-34-amd64-unsigned [amd64], linux-image-6.1.0-34-cloud-amd64-unsigned [amd64], linux-image-6.1.0-34-rt-amd64-unsigned [amd64], linux-image-6.1.0-34-arm64-unsigned [arm64], linux-image-6.1.0-34-cloud-arm64-unsigned [arm64], linux-image-6.1.0-34-rt-arm64-unsigned [arm64], linux-image-6.1.0-34-marvell [armel], linux-image-6.1.0-34-rpi [armel], linux-image-6.1.0-34-armmp [armhf], linux-image-6.1.0-34-armmp-lpae [armhf], linux-image-6.1.0-34-rt-armmp [armhf], linux-image-6.1.0-34-parisc [hppa], linux-image-6.1.0-34-parisc64 [hppa], linux-image-6.1.0-34-686-unsigned [i386], linux-image-6.1.0-34-686-pae-unsigned [i386], linux-image-6.1.0-34-rt-686-pae-unsigned [i386], linux-image-6.1.0-34-itanium [ia64], linux-image-6.1.0-34-mckinley [ia64], linux-image-6.1.0-34-m68k [m68k], linux-image-6.1.0-34-4kc-malta [mips mipsel], linux-image-6.1.0-34-mips32r2eb [mips], linux-image-6.1.0-34-octeon [mips mips64 mips64el mipsel], linux-image-6.1.0-34-5kc-malta [mips64 mips64el], linux-image-6.1.0-34-mips64r2eb [mips64], linux-image-6.1.0-34-mips64r2el [mips64el], linux-image-6.1.0-34-loongson-3 [mips64el mipsel], linux-image-6.1.0-34-mips64r6eb [mips64r6], linux-image-6.1.0-34-mips64r6el [mips64r6el], linux-image-6.1.0-34-mips32r2el [mipsel], linux-image-6.1.0-34-mips32r6eb [mipsr6], linux-image-6.1.0-34-mips32r6el [mipsr6el], linux-image-6.1.0-34-powerpc [powerpc], linux-image-6.1.0-34-powerpc-smp [powerpc], linux-image-6.1.0-34-powerpc64 [powerpc ppc64], linux-image-6.1.0-34-powerpc64le [ppc64el], linux-image-6.1.0-34-riscv64 [riscv64], linux-image-6.1.0-34-s390x [s390x], linux-image-6.1.0-34-sh7751r [sh4], linux-image-6.1.0-34-sh7785lcr [sh4], linux-image-6.1.0-34-sparc64 [sparc64], linux-image-6.1.0-34-sparc64-smp [sparc64]
Classes: smp

Tests: kbuild
Architecture: alpha amd64 arm64 armhf hppa i386 ia64 m68k ppc64 ppc64el riscv64 s390x sparc64
Restrictions: superficial
Depends: python3, linux-headers-6.1.0-34-alpha-smp [alpha], linux-headers-6.1.0-34-cloud-amd64 [amd64], linux-headers-6.1.0-34-cloud-arm64 [arm64], linux-headers-6.1.0-34-armmp [armhf], linux-headers-6.1.0-34-parisc [hppa], linux-headers-6.1.0-34-686-pae [i386], linux-headers-6.1.0-34-itanium [ia64], linux-headers-6.1.0-34-m68k [m68k], linux-headers-6.1.0-34-powerpc64 [ppc64], linux-headers-6.1.0-34-powerpc64le [ppc64el], linux-headers-6.1.0-34-riscv64 [riscv64], linux-headers-6.1.0-34-s390x [s390x], linux-headers-6.1.0-34-sparc64-smp [sparc64]

## linux 6.1.137

=== drivers/net/can/usb/kvaser_usb/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
obj-$(CONFIG_CAN_KVASER_USB) += kvaser_usb.o
kvaser_usb-y = kvaser_usb_core.o kvaser_usb_leaf.o kvaser_usb_hydra.o

# FIXME: temporarily silence -Warray-bounds on non W=1+ builds
ifndef KBUILD_EXTRA_WARN
CFLAGS_kvaser_usb_hydra.o += -Wno-array-bounds
endif

=== drivers/gpu/drm/amd/display/amdgpu_dm/Makefile ===
#
# Copyright 2017 Advanced Micro Devices, Inc.
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
# THE COPYRIGHT HOLDER(S) OR AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.
#
#
# Makefile for the 'dm' sub-component of DAL.
# It provides the control and status of dm blocks.



AMDGPUDM = \
	amdgpu_dm.o \
	amdgpu_dm_plane.o \
	amdgpu_dm_crtc.o \
	amdgpu_dm_irq.o \
	amdgpu_dm_mst_types.o \
	amdgpu_dm_color.o

ifdef CONFIG_DRM_AMD_DC_DCN
AMDGPUDM += dc_fpu.o
endif

ifneq ($(CONFIG_DRM_AMD_DC),)
AMDGPUDM += amdgpu_dm_services.o amdgpu_dm_helpers.o amdgpu_dm_pp_smu.o amdgpu_dm_psr.o
endif

ifdef CONFIG_DRM_AMD_DC_HDCP
AMDGPUDM += amdgpu_dm_hdcp.o
endif

ifneq ($(CONFIG_DEBUG_FS),)
AMDGPUDM += amdgpu_dm_crc.o amdgpu_dm_debugfs.o
endif

subdir-ccflags-y += -I$(FULL_AMD_DISPLAY_PATH)/dc

AMDGPU_DM = $(addprefix $(AMDDALPATH)/amdgpu_dm/,$(AMDGPUDM))

AMD_DISPLAY_FILES += $(AMDGPU_DM)

=== debian/changelog ===
linux (6.1.137-1) bookworm; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.136
    - module: sign with sha512 instead of sha1 by default
    - tracing: Add __cpumask to denote a trace event field that is a cpumask_t
    - tracing: Fix cpumask() example typo
    - tracing: Add __string_len() example
    - tracing: Add __print_dynamic_array() helper
    - tracing: Verify event formats that have "%*p.."
    - [arm64,armhf] net: dsa: mv88e6xxx: don't dispose of Global2 IRQ mappings
      from mdiobus code
    - [arm64,armhf] net: dsa: add support for mac_prepare() and mac_finish()
      calls
    - [arm64,armhf] net: dsa: mv88e6xxx: move link forcing to
      mac_prepare/mac_finish
    - [arm64,armhf] net: dsa: mv88e6xxx: pass directly chip structure to
      mv88e6xxx_phy_is_internal
    - [arm64,armhf] net: dsa: mv88e6xxx: add field to specify internal phys
      layout
    - [arm64,armhf] net: dsa: mv88e6xxx: fix internal PHYs for 6320 family
    - [arm64,armhf] net: dsa: mv88e6xxx: fix VTU methods for 6320 family
    - iio: adc: ad7768-1: Move setting of val a bit later to avoid unnecessary
      return value check
    - iio: adc: ad7768-1: Fix conversion result sign
    - [arm64] backlight: led_bl: Convert to platform remove callback returning
      void
    - [arm64] backlight: led_bl: Hold led_access lock when calling
      led_sysfs_disable() (CVE-2025-23144)
    - of: resolver: Simplify of_resolve_phandles() using __free()
    - of: resolver: Fix device node refcount leakage in of_resolve_phandles()
    - PCI: Assign PCI domain IDs by ida_alloc()
    - PCI: Fix reference leak in pci_register_host_bridge()
    - ASoC: qcom: q6dsp: add support to more display ports
    - ASoC: qcom: Fix sc7280 lpass potential buffer overflow
    - dma/contiguous: avoid warning about unused size_bytes
    - [arm64] cpufreq: scpi: Fix null-ptr-deref in scpi_cpufreq_get_rate()
    - [arm64] cpufreq: cppc: Fix invalid return value in .get() callback
    - btrfs: avoid page_lockend underflow in btrfs_punch_hole_lock_range()
    - scsi: core: Clear flags for scsi_cmnd that did not complete
    - net: lwtunnel: disable BHs when required
    - net: phy: leds: fix memory leak
    - tipc: fix NULL pointer dereference in tipc_mon_reinit_self()
    - net_sched: hfsc: Fix a UAF vulnerability in class handling
      (CVE-2025-37797)
    - net_sched: hfsc: Fix a potential UAF in hfsc_dequeue() too
    - [amd64] iommu/amd: Return an error if vCPU affinity is set for non-vCPU
      IRTE
    - [x86] perf/x86: Fix non-sampling (counting) events on certain x86
      platforms
    - wifi: mac80211: export ieee80211_purge_tx_queue() for drivers
    - wifi: rtw88: use ieee80211_purge_tx_queue() to purge TX skb
    - virtio_console: fix missing byte order handling for cols and rows
    - xen-netfront: handle NULL returned by xdp_convert_buff_to_frame()
    - drm/amd/display: Fix gpu reset in multidisplay config
    - drm/amd/display: Force full update in gpu reset
    - [x86] KVM: SVM: Allocate IR data using atomic allocation
    - USB: storage: quirk for ADATA Portable HDD CH94
    - mei: me: add panther lake H DID
    - [x86] KVM: x86: Explicitly treat routing entry type changes as changes
    - [x86] KVM: x86: Reset IRTE to host control if *new* route isn't postable
    - [arm64] serial: msm: Configure correct working mode before starting
      earlycon
    - USB: serial: ftdi_sio: add support for Abacus Electrics Optical Probe
    - USB: serial: option: add Sierra Wireless EM9291
    - USB: serial: simple: add OWON HDS200 series oscilloscope support
    - [arm64,armhf] usb: chipidea: ci_hdrc_imx: fix usbmisc handling
    - [arm64,armhf] usb: chipidea: ci_hdrc_imx: fix call balance of regulator
      routines
    - [arm64,armhf] usb: chipidea: ci_hdrc_imx: implement usb_phy_init() error
      handling
    - USB: OHCI: Add quirk for LS7A OHCI controller (rev 0x02)
    - [arm64,armhf] usb: dwc3: gadget: check that event count does not exceed
      event buffer length
    - [arm64,armhf] usb: dwc3: xilinx: Prevent spike in reset signal
    - usb: quirks: add DELAY_INIT quirk for Silicon Motion Flash Drive
    - usb: quirks: Add delay init quirk for SanDisk 3.2Gen1 Flash Drive
    - USB: VLI disk crashes if LPM is used
    - USB: wdm: handle IO errors in wdm_wwan_port_start
    - USB: wdm: close race between wdm_open and wdm_wwan_port_stop
    - USB: wdm: wdm_wwan_port_tx_complete mutex in atomic context
    - USB: wdm: add annotation
    - [mips*] cm: Detect CM quirks from device tree
    - crypto: null - Use spin lock instead of mutex
    - bpf: Fix deadlock between rcu_tasks_trace and event_mutex.
    - clk: check for disabled clock-provider in of_clk_get_hw_from_clkspec()
    - [s390x] sclp: Add check for get_zeroed_page()
    - [s390x] tty: Fix a potential memory leak bug
    - [arm64,armhf] usb: dwc3: gadget: Refactor loop to avoid NULL endpoints
    - [arm64,armhf] usb: dwc3: gadget: Avoid using reserved endpoints on Intel
      Merrifield
    - sound/virtio: Fix cancel_sync warnings on uninitialized work_structs
    - usb: xhci: Avoid Stop Endpoint retry loop if the endpoint seems Running
    - [armhf] usb: gadget: aspeed: Add NULL pointer check in ast_vhub_init_dev()
    - [arm64,armhf] usb: host: xhci-plat: mvebu: use ->quirks instead of
      ->init_quirk() func
    - [x86] thunderbolt: Scan retimers after device router has been enumerated
    - objtool: Silence more KCOV warnings
    - objtool, ASoC: codecs: wcd934x: Remove potential undefined behavior in
      wcd934x_slim_irq_handler()
    - objtool, lkdtm: Obfuscate the do_nothing() pointer
    - [amd64] qibfs: fix _another_ leak
    - 9p/net: fix improper handling of bogus negative read/write replies
    - [arm64] rtc: pcf85063: do a SW reset if POR failed
    - [s390x] KVM: s390: Don't use %pK through tracepoints
    - udmabuf: fix a buf size overflow issue during udmabuf creation


=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Vcs-Browser: https://salsa.debian.org/kernel-team/linux
 Vcs-Git: https://salsa.debian.org/kernel-team/linux.git
 
-Package: linux-support-6.1.0-34
+Package: linux-support-6.1.0-35
 Architecture: all
 Section: devel
 Build-Profiles: <!stage1>
@@ -68,24 +68,24 @@
  This package depends on packages containing the sources of the latest
  Linux kernel.
 
-Package: linux-headers-6.1.0-34-common
+Package: linux-headers-6.1.0-35-common
 Architecture: all
 Build-Profiles: <!pkg.linux.nokernel !stage1>
 Depends: ${misc:Depends}
 Multi-Arch: foreign
-Description: Common header files for Linux 6.1.0-34
+Description: Common header files for Linux 6.1.0-35
  This package provides the common kernel header files for Linux kernel
- version 6.1.0-34, generally used for building out-of-tree kernel modules.
+ version 6.1.0-35, generally used for building out-of-tree kernel modules.
  To obtain a complete set of headers you also need to install the
- linux-headers-6.1.0-34-(flavour) package, matching the flavour of the
+ linux-headers-6.1.0-35-(flavour) package, matching the flavour of the
  kernel you intend the build for.
 
-Package: linux-headers-6.1.0-34-common-rt
+Package: linux-headers-6.1.0-35-common-rt
 Architecture: all
 Build-Profiles: <!pkg.linux.nokernel !stage1>
 Depends: ${misc:Depends}
 Multi-Arch: foreign
-Description: Common header files for Linux 6.1.0-34-rt
+Description: Common header files for Linux 6.1.0-35-rt
  This package provides the common kernel header files for Linux kernel
- version 6.1.0-34 with the PREEMPT_RT featureset, generally used for
+ version 6.1.0-35 with the PREEMPT_RT featureset, generally used for
  building out-of-tree kernel modules.  To obtain a complete set of headers

=== debian/tests/control ===
Tests: python
Restrictions: superficial
Depends: python3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-6.1.0-35-alpha-generic [alpha], linux-image-6.1.0-35-alpha-smp [alpha], linux-image-6.1.0-35-amd64-unsigned [amd64], linux-image-6.1.0-35-cloud-amd64-unsigned [amd64], linux-image-6.1.0-35-rt-amd64-unsigned [amd64], linux-image-6.1.0-35-arm64-unsigned [arm64], linux-image-6.1.0-35-cloud-arm64-unsigned [arm64], linux-image-6.1.0-35-rt-arm64-unsigned [arm64], linux-image-6.1.0-35-marvell [armel], linux-image-6.1.0-35-rpi [armel], linux-image-6.1.0-35-armmp [armhf], linux-image-6.1.0-35-armmp-lpae [armhf], linux-image-6.1.0-35-rt-armmp [armhf], linux-image-6.1.0-35-parisc [hppa], linux-image-6.1.0-35-parisc64 [hppa], linux-image-6.1.0-35-686-unsigned [i386], linux-image-6.1.0-35-686-pae-unsigned [i386], linux-image-6.1.0-35-rt-686-pae-unsigned [i386], linux-image-6.1.0-35-itanium [ia64], linux-image-6.1.0-35-mckinley [ia64], linux-image-6.1.0-35-m68k [m68k], linux-image-6.1.0-35-4kc-malta [mips mipsel], linux-image-6.1.0-35-mips32r2eb [mips], linux-image-6.1.0-35-octeon [mips mips64 mips64el mipsel], linux-image-6.1.0-35-5kc-malta [mips64 mips64el], linux-image-6.1.0-35-mips64r2eb [mips64], linux-image-6.1.0-35-mips64r2el [mips64el], linux-image-6.1.0-35-loongson-3 [mips64el mipsel], linux-image-6.1.0-35-mips64r6eb [mips64r6], linux-image-6.1.0-35-mips64r6el [mips64r6el], linux-image-6.1.0-35-mips32r2el [mipsel], linux-image-6.1.0-35-mips32r6eb [mipsr6], linux-image-6.1.0-35-mips32r6el [mipsr6el], linux-image-6.1.0-35-powerpc [powerpc], linux-image-6.1.0-35-powerpc-smp [powerpc], linux-image-6.1.0-35-powerpc64 [powerpc ppc64], linux-image-6.1.0-35-powerpc64le [ppc64el], linux-image-6.1.0-35-riscv64 [riscv64], linux-image-6.1.0-35-s390x [s390x], linux-image-6.1.0-35-sh7751r [sh4], linux-image-6.1.0-35-sh7785lcr [sh4], linux-image-6.1.0-35-sparc64 [sparc64], linux-image-6.1.0-35-sparc64-smp [sparc64]
Classes: smp

Tests: kbuild
Architecture: alpha amd64 arm64 armhf hppa i386 ia64 m68k ppc64 ppc64el riscv64 s390x sparc64
Restrictions: superficial
Depends: python3, linux-headers-6.1.0-35-alpha-smp [alpha], linux-headers-6.1.0-35-cloud-amd64 [amd64], linux-headers-6.1.0-35-cloud-arm64 [arm64], linux-headers-6.1.0-35-armmp [armhf], linux-headers-6.1.0-35-parisc [hppa], linux-headers-6.1.0-35-686-pae [i386], linux-headers-6.1.0-35-itanium [ia64], linux-headers-6.1.0-35-m68k [m68k], linux-headers-6.1.0-35-powerpc64 [ppc64], linux-headers-6.1.0-35-powerpc64le [ppc64el], linux-headers-6.1.0-35-riscv64 [riscv64], linux-headers-6.1.0-35-s390x [s390x], linux-headers-6.1.0-35-sparc64-smp [sparc64]
